# ANOTATED RPM SPEC FILE

# set release number (increment with each new build release)
%define releasebase 1
# set base page name 
%define nbase padb
# define AFS defines here (only used if "--with afs" is given to rpmbuild):
%define afsarch amd
%define afsroot /afs/cad/hpc

#Use as deafults if no command line inputs
%define as_limulus 1

# >>>End of basic user defines area<<<

# allow --with[out] <feature> at rpm command line build
%{?_with_gnu3: %{expand: %%define use_gnu3 1}}
%{?_with_gnu4: %{expand: %%define use_gnu4 1}}
%{?_with_basement: %{expand: %%define as_basement 1}}
%{?_with_limulus: %{expand: %%define as_limulus 1}}
%{?_with_afs: %{expand: %%define as_afs 1}}
#pick the target
%if "1" == "%{as_basement}"
%define targetbase Basement
%define prefix /opt/%{nbase}/%{version}
%else
%if "1" == "%{as_afs}"
%define targetbase afs_%{afsarch}
%define prefix %{afsroot}/%{afsarch}/opt/%{nbase}/%{version}
%define  _defaultdocdir	%{afsroot}/%{afsarch}/%{_usr}/share/doc
%else
%define targetbase Limulus
%define prefix /opt/%{nbase}/%{version}
%endif
%endif

# Begin RPM defines for package
Name: %{nbase}
Version:  3.3
License: GPL
Group: %{targetbase}/Tools
Distribution: Scientific Linux
Release: %{releasebase}.%{targetbase}
Summary: Parallel Job Inspection Tool
URL: http://padb.pittman.org.uk/
Packager: deadline@basement-supercomputing.com
Vendor: Basement-Supercomputing.com
Source:  padb-3.3.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: pdsh
Source1:  padb-web.tgz

%description

Padb is a Job Inspection Tool for examining and debugging parallel programs, primarily it simplifies the process of gathering stack traces on compute clusters however it also supports a wide range of other functions. Padb supports a number of parallel environments and it works out-of-the-box on the majority of clusters. It's an open source, non-interactive, command line, script-able tool intended for use by programmers and system administrators alike.

Padb is developed and maintained by Ashley Pittman.

%prep
%setup -n  %{nbase}-%{version}
cp  %{SOURCE1} .
%build
tar xvzf  %{SOURCE1} 
./configure --prefix=$RPM_BUILD_ROOT%{prefix}
make
%install
 make install
%post
# this gets done on installation
/sbin/ldconfig 2>/dev/null
#create the module file
cat <<EOF >/opt/Modules/modulefiles/%{nbasae}-%{version}
#%Module1.0#######################################################################
## %{nbasae} modulefile
##

proc ModulesHelp { } {
        puts stderr "\tThis module loads the appropriate environment for "
        puts stderr "\tusing %{nbase} version %{version}.\n"
}

module-whatis "%{nbasae}-%{version}"
module-log error none

set padbroot %{prefix}

if [ module-info mode load ] {
        append-path PATH  \$padb/bin
}
if [ module-info mode remove ] {
        remove-path PATH \$padb/bin
}
EOF

%postun
# This gets done when un-installing
/sbin/ldconfig 2>/dev/null
# remove the module file 
/bin/rm /opt/Modules/modulefiles/%{nbase}-%{version}

%clean
# this gets done when the build is over
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README www
%{prefix}

%changelog
* Wed Feb 2 2011 -  deadline@basement-supercomputing.com
- created
